Unreleased documentation. These pages follow the main branch and can change before the next release. For supported guidance, use v0.43.0.
Discover the anonymous pre-authorized token endpoint
GET
/.well-known/oauth-authorization-server
const url = 'https://example.com/.well-known/oauth-authorization-server';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/.well-known/oauth-authorization-serverResponses
Section titled “Responses”Authorization server metadata
Media typeapplication/json
object
grant_types_supported
required
array
issuer
required
string format: uri
pre-authorized_grant_anonymous_access_supported
required
token_endpoint
required
string format: uri
token_endpoint_auth_methods_supported
required
array
Example
{ "pre-authorized_grant_anonymous_access_supported": true}Headers
Section titled “Headers”Cache-Control
string
Pragma
string
The configured request deadline elapsed
Media typeapplication/json
object
error
required
error_description
required
string
Example
{ "error": "invalid_request"}Headers
Section titled “Headers”Cache-Control
string
Pragma
string